<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title><?php tj_custom_titles(); ?></title>
<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/colors/<?php echo get_option('insider_theme_stylesheet');?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/font-awesome.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/media-queries.css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/custom.css" />

<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>	
<![endif]-->
<?php wp_head(); ?>

<?php if (get_option('insider_pagination_style') == 'Infinite Scroll') { ?>

	<script type="text/javascript">
		/*-----------------------------------------------------------------------------------*/
		/*	Infinite Scroll
		/*-----------------------------------------------------------------------------------*/
		jQuery(document).ready(function(){
		
		  $('.content-loop').infinitescroll({
		 
		    navSelector  : "div.junkie-pagination",            
		                   // selector for the paged navigation (it will be hidden)
		    nextSelector : "div.junkie-pagination a.next",    
		                   // selector for the NEXT link (to page 2)
		    itemSelector : ".content-loop article",      
		                   // selector for all items you'll retrieve
		    loading: {
		        finished: undefined,
		        finishedMsg: "<em>Congratulations, you've reached the end of the internet.</em>",
		        msg: null,
		        msgText: "<em>Loading...</em>",
		        selector: null,
		        speed: 'fast',
		        start: undefined
		    },
		    animate: true    
					                         
		  });
		  
		})
	</script>

<?php } ?>

</head>
<body <?php body_class(); ?>>  
   
	<nav id="primary-nav" class="container">
		
		<div class="left">
		    <?php 
		    	$menuClass = 'nav';
				$menuID = 'primary-navigation';
				$primaryNav = '';
				if (function_exists('wp_nav_menu')) {
					$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
				};
				if ($primaryNav == '') { ?>
					<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
						<?php if (get_option('insider_home_link') == 'on') { ?>
							<li class="<?php if(!is_page()) echo('first');?>"><a href="<?php echo home_url(); ?>"><?php _e('Home', 'themejunkie') ?></a></li>		
						<?php } ?>
						<?php show_page_menu($menuClass,false,false); ?>
					</ul>
			<?php }	else echo($primaryNav); ?>
		</div><!-- .left -->
		
		<div class="right">
	        <ul class="nav">                  
				<li class="menu-category"><a href="#"><i class="icon-align-justify"></i> <?php _e('Categories', 'themejunkie') ?></a>
					<ul>
						<?php show_categories_menu($menuClass,false,false); ?>
					</ul>
				</li>
	        	<li class="menu-follow"><a href="#"><i class="icon-twitter"></i> <?php _e('Follow', 'themejunkie'); ?></a>
	        		<ul>
	            		<li><a href="<?php echo get_option('insider_twitter_url'); ?>"><i class="icon-twitter-sign"></i> <?php _e('Follow on Twitter', 'themejunkie'); ?></a></li>
	            		<li><a href="<?php echo get_option('insider_facebook_url'); ?>"><i class="icon-facebook-sign"></i> <?php _e('Become our fan', 'themejunkie'); ?></a></li>
	            		<li><a href="<?php echo get_option('insider_google_plus_url'); ?>"><i class="icon-google-plus-sign"></i> <?php _e('Join our circle', 'themejunkie'); ?></a></li>	                		          
	            		<li><a href="<?php echo get_option('insider_newsletter_url'); ?>"><i class="icon-envelope-alt"></i> <?php _e('Join our newsletter', 'themejunkie'); ?></a></li>   
	            		<li><a href="<?php echo get_option('insider_rss_url'); ?>"><i class="icon-rss-sign"></i> <?php _e('Subscribe to RSS', 'themejunkie'); ?></a></li>          		         		             
	        		</ul>
	        	</li>
	        	<li class="menu-search"><a href="#"><i class="icon-search"></i> <?php _e('Search', 'themejunkie'); ?></a>
	        		<ul>
	            		<li><?php get_search_form(); ?></li>             		
	        		</ul>
	        	</li>        						                
	        </ul>
		</div><!-- .right -->

		<div class="btn-nav-left">
			<?php _e('Menu', 'themejunkie'); ?> <i class="btn-nav-icon icon-caret-down"></i> 
		</div><!-- .btn-nav-left -->	
		
		<div class="clear"></div>
		                		
	</nav><!-- #primary-nav -->
	
	<nav id="mobile-menu">
		<?php
			 $menuClass = 'ul';
				$menuID = 'responsive-menu';
				$res_menu = '';
				$response_menu_args = array( 
					'theme_location' => 'primary-nav', 
					'container' => '', 
					'fallback_cb' => '', 
					'menu_class' => $menuClass, 
					'menu_id' => $menuID, 
					'echo' => false 
				);
			$res_menu = wp_nav_menu( $response_menu_args); 
			if ($res_menu) {
				
				echo $res_menu;
				
			}else{
				echo '<ul id="responsive-menu">';
				show_page_menu($menuClass,false,false); 
				echo '</ul>';
			}
		?>
	</nav><!-- #mobile-menu -->
					
	<header id="header" class="container">
	
		<?php if (get_option('insider_text_logo_enable') == 'on') { ?>
			<div id="text-logo">
				<h1 id="site-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
				<p id="site-desc"><?php bloginfo('description'); ?></p>
			</div><!-- #text-logo -->
		<?php } else { ?>
			<a href="<?php bloginfo('url'); ?>"><?php $logo = (get_option('insider_logo') <> '') ? get_option('insider_logo') : get_bloginfo('template_directory').'/images/logo.png'; ?><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" id="logo"/></a>
		<?php }?>
		
	    <?php /* Header Ad */
		if( get_option('insider_header_ad_enable') == 'on') {
			echo "<div class='header-ad'>".get_option('insider_header_ad_code')."</div>";
		} ?>
						
		<div class="clear"></div>
		
	</header><!-- #header -->
	
	<div id="main" class="container">